<!DOCTYPE HTML>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<th:block th:replace="~{layout/basic :: setContent(~{this::content} )}">

	<th:block th:fragment="content">
<style>
table td {
	background-color: transparent;
}
</style>
		<header>
			<h2>요청 목록</h2>
		</header>
		<table>
			<thead>
				<tr>
					<th>No.</th>
					<!-- <th>상태</th> -->
					<th>요청 장소</th>
					<th>주소</th>
					<th>요청 날짜</th>
				</tr>
			</thead>
			<tbody>
				<tr th:each="dto : ${list}">
					<th style="background-color: transparent;"><a
						th:href="@{/request/read(no = ${dto.no}, page= ${list.number + 1})}">
							[[${dto.no}]]</a></th>
					<!-- <td><select id="status"
							name="status" style="width: 65px; border: none; background-color: transparent;">
							<option value="접수 중">접수 중</option>
							<option value="확인 중">확인 중</option>
							<option value="완료">완료</option>
						</select></td> -->
					<td>[[${dto.place}]]</td>
					<td>[[${dto.address}]]</td>
					<td>[[${#temporals.format(dto.regDate, 'yyyy/MM/dd')}]]</td>
				</tr>
			</tbody>
		</table>
		<!-- Pagination -->
		<div class="pagination">
			<div class="pages">
				<a th:href="@{/request/list(page = ${page})}" th:class="${(list.number + 1) == page?'active':''} " th:each="page: ${#numbers.sequence(1, list.totalPages)}">[[${page}]]</a>
			</div>
		</div>
	</th:block>
</th:block>